@Namespace Community/Family
#include <ErrorReport.ts>


$PersonClass = Func(class)
	@Readonly $this.min_name_len = 5
	@Readonly $this.min_name_len = 25
	@Private $this.name = ""

	$SetName = Func($sName = "")
		If StringLen($sName) < $this.min_name_len Then Return $SetClassError($this, @MethodName, @MethodParams, False, "$sName cannot be lesser than %s", $this.min_name_len)
		If StringLen($sName) > $this.max_name_len Then Return $SetClassError($this, @MethodName, @MethodParams, False, "$sName cannot be greater than %s", $this.max_name_len)
		$this.name = $sName
		Return $this.name
	EndFunc

EndFunc


#Main

Local $tarre = Community/Family/$PersonClass()

$tarre.setName("TARR")

;Wait for adlibregister
Sleep(5000)